SDL_const_cast(3)

NAME
SDL_const_cast - Handle a Const Cast properly whether using C or C++.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

#define SDL_const_cast(type, expression) const_cast<type>(expression)  /* or `((type)(expression))` in C */

DESCRIPTION
If compiled as C++, this macro offers a proper C++ const_cast<>.

If compiled as C, this macro does a normal C-style cast.

This is helpful to avoid compiler warnings in C++.

MACRO PARAMETERS

type
    the type to cast the expression to.

expression
    the expression to cast to a different type.

RETURN VALUE
Returns expression, cast to type.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
SDL_reinterpret_cast(3), SDL_static_cast(3)